{% extends 'base.html.twig' %}

{% block body %}
{% include "home/nav.html.twig" %}


<ul class="nav nav-tabs col-lg-12" id="myTab" role="tablist">
    <li class="nav-item col-lg-3">
      <a class="nav-link active" id="home-tab" data-toggle="tab" href="#infos" role="tab" aria-controls="home" aria-selected="true">Infos</a>
    </li>
    <li class="nav-item col-lg-3">
      <a class="nav-link" id="profile-tab" data-toggle="tab" href="#medias" role="tab" aria-controls="profile" aria-selected="false">Medias</a>
    </li>
    {% if app.user %}
    <li class="mb-3 col-lg-6 d-flex justify-content-end">
        You are logged in as {{ app.user.name }}, <a href="{{ path('app_logout') }}">Logout</a>
    </li>
  {% endif %}
  </ul>
<div class="tab-content" id="myTabContent">
    <div class="tab-pane fade show active" id="infos" role="tabpanel" aria-labelledby="infos-tab">
        <a  href="{{path('modify_profile', {id: profil_journalist.id}) }}" class="btn btn-danger">Modify</a>
        <a  href="{{path('delete_profile', {id: profil_journalist.id}) }}" class="btn btn-danger">Delete</a>
        <div class="row justify-content-center m-4">
            <div class="col-lg-4 p-3 ">
                <div class="card bg-dark"> Name:
                    <div class="card-body ">{{profil_journalist.name}}</div>
                </div>   
            </div>
            <div class="col-lg-4 p-3">
                <div class="card bg-dark"> Surname: 
                    <div class="card-body ">{{profil_journalist.surname}}</div>
                </div>   
            </div>
            <div class="col-lg-4 p-3 ">
                <div class="card bg-dark">Old:
                    <div class="card-body ">{{profil_journalist.age}}years old</div>
                </div>   
            </div>
        </div>
        <div class="row justify-content-center m-4">
            <div class="col-lg-4 p-3 ">
                <div class="card bg-dark">Nationality:
                    <div class="card-body">{{profil_journalist.nationality}}</div>
                </div>   
            </div>
            <div class="col-lg-4 p-3 ">
                <div class="card bg-dark">Speciality:
                    <div class="card-body ">{{profil_journalist.speciality}}</div>
                </div>   
            </div>
            <div class="col-lg-4 p-3 ">
                <div class="card bg-dark">Email:
                    <div class="card-body ">{{profil_journalist.email}}</div>
                </div>   
            </div>
        </div>
        <div class="row justify-content-center m-4">
            <div class="col-lg-12 p-3 ">
                <div class="card bg-dark">Your description:
                    <div class="card-body">{{profil_journalist.description}}</div>
                </div>   
            </div>
        </div>
    </div>
    
    <div class="tab-pane fade" id="medias" role="tabpanel" aria-labelledby="profile-tab">
        <a href="{{path('form_media') }}" class="btn btn-success">Add</a>
        {% for media_profile in profil_journalist.media %}
        <div class="catd-body p-5">
            <div class="row justify-content-center text-white">
                
                     <div class="col-lg-6 "style="border:solid rgb(255, 0, 140) 2px; border-radius:30px;">
                    <h5>{{media_profile.title}}</h5>
                        <p>{{media_profile.author}}</p> 
                        <p>{{media_profile.description}}</P>
                    <video width="400" controls>
                        <source src="ht" type="video">
                      </video>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-lg-12">
                        </div>
                    </div>
                </div>
            </div>         
        </div>
        {% endfor %}  
    </div>
 </div>


{% include "home/footer.html.twig" %}
{% endblock %}
